Uses partial update semantics: fields included in the request are updated, while omitted fields retain their original values. Active sessions use the snapshot bound at creation time; new sessions use the updated environment.
Prerequisites
Endpoint and authentication are configured. See Overview and authentication.
Endpoint
POST /environments/{environment_id}
Semantics
Uses partial update semantics: fields included in the request body are updated, while omitted fields retain their original values. Active sessions bound to this environment use the snapshot from binding time and are not affected by the update; new sessions use the updated environment.
config.typeis immutable; passing a different value will cause an error.config.packagesis replaced as a whole when provided (including sub-keysapt,pip, etc.); unlisted packages will be removed.metadatais replaced as a whole when provided; key-level merging is not performed.
Request body
Fields are the same as in the Request body section of Create an environment; only include the fields you want to update.
Request example
Response example
Response fields
| Field | Type | Description |
|---|---|---|
id | string | Environment ID |
type | string | Fixed value environment |
name / description / scope / config / metadata | string / object | Updated environment configuration; omitted fields retain their original values |
archived_at | string | null | Archive time; null when not archived |
created_at / updated_at | string | Creation / last update time, ISO 8601 |
request_id | string | Unique identifier for this request |